<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="title">
        <span class="step-number" v-if="!datasetId">4</span>
        <span class="step-number" v-if="datasetId">3</span>
        <h2>Confirmation</h2>
        <p>Your {{ pageTitle }} has been created. Please review the details below to confirm everything is correct.</p>
    </div>
    <div class="confirmation-wrapper">
        <div class="confirmation-wrapper-info">
            <div>
                <div class="confirmation-wrapper-info-title">Dataset Name</div>
                <div class="confirmation-wrapper-info-value">{{ datasetName }}</div>
            </div>
            <div>
                <div class="confirmation-wrapper-info-title">Method</div>
                <div class="confirmation-wrapper-info-value">{{ selectedMethod }}</div>
            </div>
        </div>
        <div class="confirmation-wrapper-values">
            <div class="card-values">
                <div class="card-values-number">{{ checkedDomainsLength }}</div>
                <div class="card-values-text">Domains</div>
            </div>
            <div class="card-values">
                <div class="card-values-number">{{ selectedTermsLength }}</div>
                <div class="card-values-text">Terms</div>
            </div>
        </div>
        <button class="button-secondary orange" @click="closeModal">Confirm Details</button>
    </div>
</template>

<script setup lang="ts">

const props = defineProps<{
    datasetId?: string;
    closeModal: () => void; // Define as a function type
    checkedDomainsLength: number;
    selectedTermsLength: number;
    pageTitle: string;
    selectedMethod?: string;
    datasetName?: string;
}>();


</script>